/*** Refer-my-friend-model ***/

body.modal-open {
    overflow: hidden;
    position: fixed;
    height: 100%;
    width: 100%;
}

#Questions_popup,
#review_model,
#discount_model,
#shipping_popup,
#shipping_popup_add,
.shipping_popup,
#track-order_model{
	display: none;
}

.modal-box {
  	position: fixed;
	z-index: 9999999;
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
	width: 100%;
	height: 100%;
    background-color: rgb(0, 0, 0);
	background-color: rgba(0, 0, 0, 0.4); 
	overflow-y: scroll;   
}

.modal_content {
	position: fixed;
	z-index: 99999999;
	top: 50%;
	left: 0%;
	right: 0%;
	width: 50%;
	margin: 0 auto;
	-webkit-backface-visibility: hidden;
	-moz-backface-visibility: hidden;
	backface-visibility: hidden;
	/* margin-top: -15%; */
	transform: translateY(-50%) scaleX(1);
	-ms-transform: translateY(-50%) scaleX(1);
	-webkit-transform: translateY(-50%) scaleX(1);
	-moz-transform: translateY(-50%) scaleX(1);
	-o-transform: translateY(-50%) scaleX(1);
	background-color: #fff;
	box-shadow: 0 4px 8px 0 rgba(0, 0, 0, .2), 0 6px 20px 0 rgba(0, 0, 0, .19);
	-webkit-transition: all 0.4s;
	-moz-transition: all 0.4s;
	transition: all 0.4s;
	animation-duration: .4s;
	-webkit-animation-name: pulse;
	animation-name: pulse;
	/* max-height: 94%;
	overflow: auto; */
}

.modal_header {
	padding: 10px 20px;
	padding-bottom: 5px;
	border-bottom: 1px solid #ececec;
}

.modal_title {
  font-size: 18px;
  line-height: 30px;
  float: left;
  font-weight: 500;
  text-transform: capitalize;
  color: #000;	
}

.modal-body {
	max-height: calc(100vh - 210px);
	overflow-y: auto;
}
.modal_footer {
	padding: 15px 20px;
	text-align: center;
	border-top: 1px solid #ececec;
}

.modal_close {
	width: 30px;
	height: 30px;
	font-size: 14px;
	/*line-height: 2.2;*/
	line-height: 30px;
	float: right;
	border-radius: 50%;
	background: #56a700;
	font-weight: bold;
	color: #fff;
	text-align: center;
	-webkit-transition: all ease 0.5s;
	transition: all ease 0.5s;
	cursor: pointer;
}

.modal_close:hover {
	-webkit-transform: rotate(180deg);
	transform: rotate(180deg);
}
.modal-body {
  padding: 10px 20px;
}
.model-pro-title {
  padding-bottom: 10px;
  margin-top: 10px;
}
.model-pro-title a {
  font-size: 16px;
  line-height: 20px;
  font-weight: 500;
}

/* ============================================ modal-animate-keyframes =============================================== */

.modal_content.animate {
	-webkit-animation: pulse .5s;
	animation: pulse .5s;
}

 @-webkit-keyframes pulse {
  0% {
		-webkit-transform: scaleX(1);
    transform:  translateY(-50%) scaleX(1);
    
  }
  
	50% {
		-webkit-transform:  translateY(-50%) scale3d(1.05, 1.05, 1.05);
    transform:  translateY(-50%) scale3d(1.05, 1.05, 1.05);
  }
  
	to {
		-webkit-transform:  translateY(-50%) scaleX(1);
    transform:  translateY(-50%) scaleX(1);
    transform:  translateY(-50%)  translateY(-50%);
   
    
	}
} 

@keyframes pulse {
	0% {
		-webkit-transform:  translateY(-50%) scaleX(1);
    transform:  translateY(-50%) scaleX(1);
   
	}
	50% {
		-webkit-transform: translateY(-50%)  scale3d(1.05, 1.05, 1.05);
    transform:  translateY(-50%) scale3d(1.05, 1.05, 1.05);
	}
	to {
		-webkit-transform:  translateY(-50%) scaleX(1);
    transform:  translateY(-50%) scaleX(1);
	}
}

#review-model .row {
	margin: 0 -10px;
}

#review-model .col-12 {
	padding:0 10px;
}

/****************************************************** discont-model *************************************************/
.top_discount_text {
	width: 100%;
	float: left;
	/*padding-bottom: 15px; 
	border-bottom: 1px solid #e7e7e7; 
	margin-bottom: 15px;*/
}
.discount_off {
	float: left;
	width: 25%;
	text-align: center;
}
.discount_off p {
	background: #1d62b2;
	color: #ffffff;
	font-weight: 500;
	font-size: 29px;
	line-height: 35px;
	text-transform: uppercase;
	display: block;
	padding: 10px;
}
.dis_coupons_text {
	float: left;
	width: 50%;
	margin-left: 15px;
}
.dis_coupons_text p {
	font-size: 18px;
	line-height: 20px;
	font-weight: 500;
	margin-bottom: 3px;
	color: #1a1f2b;
}
.dis_coupons_text strong {
	font-size: 16px;
	line-height: 25px;
	display: block;
	font-weight: 500;
	margin-bottom: 3px;
}
.dis_apply_btn {
	float: right;
	width: 20%;
	text-align: center;
	padding-top: 22px;
}
.dis_apply_btn .btn {
	width: 100%;
	min-width: auto;
}

/****************************************************** shipping-model *************************************************/

#shipping-model .row {
	margin: 0 -10px;
}
#shipping-model .col-md-6,
#shipping-model .col-12 {
	padding: 0 10px;
}
/* .shipping-edit-button {
	width: 100%;
	float: left;
	text-align: center;
	margin-top: 30px;
	margin-bottom: 10px;
} */
.shipping-edit-button ul li {
	display: inline-block;
	margin: 0 15px;
}
.shipping-edit-button .btn {
	height: 50px;
}
.btn-outlined-red {
	border: 2px solid #c61132 !important;
	color:#c61132;
	text-transform: uppercase;
	font-size: 13px;
	font-weight: 500;
	font-family: Rubik, Arial, Helvetica, sans-serif;
}
.btn-outlined-red:hover {
	color: #ffffff;
	background: #c61132;
}
/* checkout-model */

.checkout-model .modal_header {
	margin-bottom: 10px;
}
#shipping-model .checkout-form .nice-select .list {
    width: 100%;
    max-height: 200px;
    overflow: auto;
}
/* ============================================ Upgrade-popup ========================================*/

#upgrade_popup .modal_content {
	width: 850px;
}
#upgrade-model .modal-body {
	padding-top:5px;
	max-height: calc(100vh - 0px);
	overflow-y: hidden;
	padding-bottom: 0;
}
#upgrade-model .model-pro-title {
	margin-bottom: 0px;
}
#upgrade_popup .grade-re  {
	display: none;
}
.upgrade-model-box {
	border-top: 1px solid #e7e7e7;
}
.upgrade-img {
	float: left;
	width: 20%;
	text-align: center;
	background: #fff;
}
.upgrade-img img {
	width: 180px;
	margin: 10px 0;
}
.upgrade-content {
	float: left;
	width: 79%;
	border-left: 1px solid #e7e7e7;
	margin-left: 5px;
}
.upgrade-top {
	width: 100%;
	float: left;
	background-color: #ffffff;
	padding: 10px 10px;
	display: block;
	border-bottom: 1px solid #e7e7e7;
}
.up-pack-size,.up-qty,.up-price{
	float: left;
	width: 50%;
}
.up-qty,.up-price {
	width: 25%;
}
.upgrade-doses {
	width: 100%;
	float: left;
	padding: 10px 10px 0;
	display: block;
	border-bottom: 1px solid #e7e7e7;
	/* margin-bottom: 10px; */
}
.upgrade-doses  .doses {
	display: inline-block;
	margin-left: 5px;
}
.packsize_offer_row .doses {
	display: inline-block;
	margin-left: 3px;
}
.up-pack-size span {
	/* padding: 10px; */
	font-weight: 700;
}

.upgrade-doses {
	text-align: center;
}
.upgrade-doses .packsize_offer {
	margin-bottom: 10px;
}
.Pack-table-box,.Pack-table-row {
	width: 100%;
	float: left;
	padding: 10px 0px 10px 10px;
	margin-bottom: 5px;
	border-bottom: 1px solid #e7e7e7;
	background: #ffffff;
}
.poup-pack,.poup-qty,
.poup-price,.poup-pay,
.row-poup-pack,.row-poup-qty,
.row-poup-price,.row-poup-pay,.upgrade-btn {
	float: left;
}
.poup-pack strong, .poup-qty strong, 
.poup-price strong, .poup-pay strong, 
.row-poup-pack strong, .row-poup-qty strong,
.row-poup-price strong, .row-poup-pay strong, .upgrade-btn strong {
	font-weight: 500;
}
.R-poup-qty,.R-poup-price,.R-poup-pay {
    display: none;
}

.poup-pack,.row-poup-pack {
	width: 44%;
}
.poup-qty,.poup-price,
.row-poup-qty,.row-poup-price {
	width: 10%;
	text-align: center;
}
.poup-pay,.row-poup-pay {
	width: 16%;
	text-align: center;
} 
.upgrade-btn {
	width: 20%;
	text-align: right;
}
.Pack-table-row {
	padding-top: 5px;
    border-bottom: 1px solid #e7e7e7;
	background: transparent;
	line-height: 30px;
}
.Pack-table-row:last-child {
	border-bottom: none;
}
.Pack-table-row:last-child .nice-select .list {
	top:auto;
	bottom: 100%;
}
.nice-select {
	height: 35px;
	line-height: 35px;
}
.row-poup-qty .input_box {
	width: 70%;
	height: 30px;
    line-height: 30px;
}
.row-poup-price {
	display: inline-block;
    color: #515050;
    text-decoration: line-through
}
.upgrade-btn .btn {
	width: 100%;
	min-width: auto;
}
/* .upgrade_footer {
	width: 100%;
	float: left;
	border-top: 1px solid #e7e7e7;
	padding: 20px 0  0;
	text-align: right;
} */
.upgrade_footer .btn--primary {
	width: auto;
	line-height: 1.8;
}
.bg_white {
	background: #f6f6f6;
}

.upgrade_footer {
	text-align: right;
}
.doses {
	display: inline-block;
	margin-left: 5px;
	color: #c61132;
}
